Article ID: 119486, created on Jan 6, 2014, last review on Dec 30, 2014

  • Applies to:
  • H-Sphere 3.6.3


Wordpress website returns "Error establishing a database connection" after switching to PHP 5.4 or PHP 5.5


PHP 5.4 and PHP 5.4 is unable to handle passwords set on the previous PHP versions.


  1. Make sure that "old-passwords" option is missing in /etc/my.cnf as well as in any custom templates /hsphere/local/config/mysql/my.cnf_tmpl.custom.

  2. GoTo MySQL DBs and update database password. Set MySQL password hash length to Long, PHP5.x-only

Search Words

Error establishing a database connection

PHP 5.5

PHP 5.5


6b908665c0d1eca5bdd0141a32fd712a 6311ae17c1ee52b36e68aaf4ad066387 f213b9fa8759d57bee5d547445806fe7 2e39a5e5b1423cc126cf735bac076008

Email subscription for changes to this article
Save as PDF